# Update Custom Field

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
PATCH /customFields/{CustomFieldId}
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>CustomFieldId</td><td>integer</td><td>yes</td><td>Id of custom field you want to update</td></tr></tbody></table>

**Request Body**

Body of request should contain[ Custom field](/docs/apis/tickets/reference/objects/custom-field.md) model serialized to JSON.

```json
{
    "assignedCategoryIds": [],
    "defaultValue": "Everything fine",
    "id": 26707,
    "isHidden": false,
    "isRequired": false,
    "isSensitiveData": false,
    "name": "Client Comment",
    "placeholder": "Client Comment",
    "possibleValues": null,
    "type": "text_input"
}
```

#### Response

```json
{
    "data": {
        "assignedCategoryIds": [],
        "defaultValue": "Everything fine",
        "id": 26707,
        "isHidden": false,
        "isRequired": false,
        "isSensitiveData": false,
        "name": "Client Comment",
        "placeholder": "Client Comment",
        "possibleValues": [],
        "type": "text_input"
    },
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type of [Custom Field](/docs/apis/tickets/reference/objects/custom-field.md) object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/update-custom-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
